.profile-container {
    max-width: 750px;
    margin: 100px auto;
    background: #fff;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.06);
}

.title {
    color: #063970;
    font-weight: 700;
    margin-bottom: 20px;
}

.form-group {
    margin-bottom: 18px;
}

.form-group label {
    font-size: 14px;
    font-weight: 600;
    color: #063970;
}

.form-group input {
    width: 100%;
    padding: 10px;
    border-radius: 8px;
    border: 1px solid #ccc;
}

input.invalid {
    border: 2px solid red;
}

input.valid {
    border: 2px solid #28a745;
}

.save-btn {
    width: 100%;
    padding: 12px;
    background: #063970;
    color: #fff;
    border: none;
    border-radius: 8px;
    font-weight: 600;
    cursor: pointer;
}

.confirm-btn {
    margin-top: 15px;
    width: 100%;
    padding: 12px;
    background: #111;
    color: #fff;
    border-radius: 8px;
    font-weight: 600;
    cursor: pointer;
}

.confirm-btn:disabled {
    background: #ccc;
    cursor: not-allowed;
    pointer-events: none;
}

#msgBox {
    margin-top: 10px;
    text-align: center;
    font-weight: 600;
}

#msgBox.error {
    color: #b30000;
}

#msgBox.success {
    color: #0a7a0a;
}

.error {
    color: red;
    margin-top: 10px;
    font-size: 14px;
}
